{
  Autor: Michael Springwald

  Erstellt: Samstag, 29.September.2007
  Updates: Dienstag, 30.Oktober.2007,

}

unit uplaylistbase;

{-$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,contnrs;

type
  TInfo = class
    Playtime: Integer;  // Spielzeit in Sekunden oder 0
    FileName:String;
    Kommentar:String;
  end;

  TOnAddPlayliste = procedure (const aFileName:String; const aInfo:TInfo) of object;
  TOnGetPlaylisteItem = procedure (const aInfo:TInfo) of object;
  
  { TPlaylistBase }

  TPlaylistBase = class
  private

  protected

  public
    onAddPlayListe: TOnAddPlayliste;
    FileName:String;
    PlayListItems:TStrings;
    OhneExt:Boolean;
    // Wird automatisch von LoadFromFile zugewiesen
    // Wird wegen den M3U datei benötigt.
    ext:String;
    procedure SaveToFile(const aFileName:String = ''); Virtual; Abstract;
    procedure LoadFromFile(const aFileName:String); Virtual; Abstract;

    constructor Create;
  published

  end;

function SplitStr(str:String;ch:char):string;

implementation

{ TPlaylistBase }

function SplitStr(str:String;ch:char):string;
var
  i:Integer;
begin
  for i:=(Length(str)-1) downto 1 do begin
    if str[i] = ch then begin
      Delete(str,i,Length(str));
      Break;
    end;
  end;
  result:=str;
end;

constructor TPlaylistBase.Create;
begin
  inherited Create;
end;


end.

